/**
 * package for game objects that are characters
 */
package simogl.gameobjects.character;

import simogl.gameobjects.AbstractGameObject;

/**
 * This abstract class is the basic version of a character. Any 
 * specialized character must extend this class.
 * @author Frank Bruns
 *
 */
public abstract class AbstractCharacter extends AbstractGameObject
{
	
	
	/**
	 * Creates a new abstract character at the specified position
	 * @param x x-coordinate
	 * @param y y-coordinate
	 * @param z z-coordinate
	 */
	public AbstractCharacter(float x, float y, float z)
	{
		super(x,y,z);
	}

	@Override
	public synchronized void update(long elapsedTime)
	{
		this.getModel().update(elapsedTime);
	}
}
